Package org.h2gis.functions.spatial.affine_transformations

# Class ST_Translate

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.affine_transformations.ST_Translate

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_Translate extends org.h2gis.api.DeterministicScalarFunction
Translates a geometry using X, Y (and possibly Z) offsets.

Author:
  Erwan Bocher, Adam Gouge

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MIXED_DIM_ERROR`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_Translate()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`translate(org.locationtech.jts.geom.Geometry geom, double x, double y)`
Translates a geometry using X and Y offsets.
`static org.locationtech.jts.geom.Geometry`
`translate(org.locationtech.jts.geom.Geometry geom, double x, double y, double z)`
Translates a geometry using X, Y and Z offsets.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Field Details

### MIXED_DIM_ERROR

public static final String MIXED_DIM_ERROR

See Also:
  - Constant Field Values

## Constructor Details

### ST_Translate

public ST_Translate()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### translate

public static org.locationtech.jts.geom.Geometry translate(org.locationtech.jts.geom.Geometry geom, double x, double y)
Translates a geometry using X and Y offsets.

Parameters:
  `geom` - Geometry
  `x` - X
  `y` - Y
Returns:
  Translated geometry

### translate

public static org.locationtech.jts.geom.Geometry translate(org.locationtech.jts.geom.Geometry geom, double x, double y, double z)
Translates a geometry using X, Y and Z offsets.

Parameters:
  `geom` - Geometry
  `x` - X
  `y` - Y
  `z` - Z
Returns:
  Translated geometry